package ass.excercises.cvi8.formbuilder.html;

import java.io.IOException;
import java.nio.file.Files;
import java.nio.file.Paths;

import ass.excercises.cvi8.formbuilder.ExampleUtil;

public class HtmlBuilderExample {

	public static void main(String[] args) throws IOException {
		HtmlFormBuilder builder = new HtmlFormBuilder();
		ExampleUtil.buildExampleForm(builder);
		
		HtmlForm form = builder.build();
		Files.write(Paths.get("form.html"), form.render().get().getBytes());
		System.out.println("Form stored in form.html");
	}
	
}
