package ass.excercises.cvi8.formbuilder.task;

import ass.excercises.cvi8.formbuilder.IForm;
import ass.excercises.cvi8.formbuilder.swing.SwingForm;
import ass.excercises.cvi8.formbuilder.swing.SwingFormBuilder;

public class SwingAppExample {
	
	public static void main(String[] args) {
		// prepare and build HTML form from entity using reflection
		ReflectionFormBuilder<Entity> reflectionBuilder = new ReflectionFormBuilder<>(Entity.class);
		SwingFormBuilder swingBuilder = new SwingFormBuilder();
		
		SwingForm form  = (SwingForm)reflectionBuilder.build(swingBuilder);
		form.render();
		form.addActionListener(e -> {
			System.out.println(form);
		});
	}
	
}
