package ass.excercises.cvi8.formbuilder.swing;

import ass.excercises.cvi8.formbuilder.ExampleUtil;

public class SwingBuilderExample {

	public static void main(String[] args) {
		SwingFormBuilder builder = new SwingFormBuilder();
		ExampleUtil.buildExampleForm(builder);

		SwingForm form = builder.build();
		form.addActionListener(e -> {
			System.out.println("Name: " + form.getValue("name"));
			System.out.println("Email: " + form.getValue("email"));
			System.out.println("Tel: " + form.getValue("telephone"));
			System.out.println("Has credit card: " + form.getValue("hasCreditCard"));
			System.out.println("Sex: " + form.getValue("sex"));
		});
		form.render();
		
	}
	
}
