package ass.excercises.cvi8.formbuilder.task;

import ass.excercises.cvi8.formbuilder.ExampleUtil;
import ass.excercises.cvi8.formbuilder.IForm;
import ass.excercises.cvi8.formbuilder.IFormBuilder;

public class ReflectionFormBuilder<T> {

	protected Class<T> entityClass;
	
	public ReflectionFormBuilder(Class<T> entityClass) {
		this.entityClass = entityClass;
	}
	
	public IForm build(IFormBuilder builder) {
		// TODO: build form using provided builder according to entityClasses fields
		// use addTextField, addRadio and addCheckbox methods on builder
		
		// replace this code, that serves only as placeholder
		ExampleUtil.buildExampleForm(builder);
		
		return builder.build();
	}
	
	public T instanceFromPOST(String postData) {
		// TODO create new instance of entity
		// parse data from postData and set field of entity using reflection
		// return entity
		
		try {
			return entityClass.newInstance();
		} catch (InstantiationException | IllegalAccessException e) {
			throw new RuntimeException(e);
		}
	}
	
	
	
}
