package ass.excercises.cvi8.snippets;

import io.reactivex.Observable;

public class ConcatFirst {
	
	public static void main(String[] args) {
		Observable.just("a", "b")
		.flatMap(item -> 
			Observable.concat(
					Observable.just(item + "1"),
					Observable.just(item + "2")		// this is never called
			)
			.first("N/A")	// here you can return implementation of IResponse that represents some kind of error
			.toObservable()
		)
		.forEach(System.out::println);
		
		System.out.println("=====");
		
		Observable.just("c", "d")
		.flatMap(item -> 
			Observable.concat(
					Observable.empty(),			// simulates cache that didn't return anything
					Observable.just(item + "2")	// now it's called
			)
			.first("N/A")
			.toObservable()
		)
		.forEach(System.out::println);
	}
	
}
