package ass.excercises.cvi8.snippets;

import io.reactivex.Observable;
import javaslang.Tuple;

public class TupleMap {

	public static void main(String[] args) {
		Observable.just("1","a", "2", "b", "3", "c")
		.buffer(2)
		.map(list -> Tuple.of(list.get(0), list.get(1)))
		.doOnNext(System.out::println)
		.map(tuple -> tuple.map(
				number -> number + "_num",
				letter -> letter + "_letter"
		))
		.forEach(System.out::println);
	}
	
}
